Add a numbering provider to an organization
curl --request POST \
--url 'https://api.vida.dev/api/v2/numberingProvider?token=' \
--header 'Content-Type: application/json' \
--data '
{
"providerId": "Twilio",
"config": {
"twilioAccountSid": "ACxxxx",
"twilioAuthToken": "tokenxxxx"
},
"default": false,
"enabled": true
}
'import requests
url = "https://api.vida.dev/api/v2/numberingProvider?token="
payload = {
"providerId": "Twilio",
"config": {
"twilioAccountSid": "ACxxxx",
"twilioAuthToken": "tokenxxxx"
},
"default": False,
"enabled": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
providerId: 'Twilio',
config: {twilioAccountSid: 'ACxxxx', twilioAuthToken: 'tokenxxxx'},
default: false,
enabled: true
})
};
fetch('https://api.vida.dev/api/v2/numberingProvider?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Numbering provider added"
}{
"success": false,
"message": "Numbering provider already exists"
}Phone Numbers
Add a numbering provider to an organization
Create a new numbering provider configuration for an organization – Reseller/Partner only.
POST
/
api
/
v2
/
numberingProvider
Add a numbering provider to an organization
Authorizations
Vida API Token
Query Parameters
Target Organization Id to update settings for
Body
application/json
⌘I